## ironic 16.0.3

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0
SQLAlchemy>=1.2.19 # MIT
alembic>=1.4.2 # MIT
automaton>=1.9.0 # Apache-2.0
eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
WebOb>=1.7.1 # MIT
python-cinderclient!=4.0.0,>=3.3.0 # Apache-2.0
python-glanceclient>=2.8.0 # Apache-2.0
keystoneauth1>=4.2.0 # Apache-2.0
ironic-lib>=4.3.0 # Apache-2.0
python-swiftclient>=3.2.0 # Apache-2.0
pytz>=2013.6 # MIT
stevedore>=1.20.0 # Apache-2.0
pysendfile>=2.0.0;sys_platform!='win32' # MIT
oslo.concurrency>=4.2.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.db>=6.0.0 # Apache-2.0
oslo.rootwrap>=5.8.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.policy>=1.30.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.upgradecheck>=0.1.0 # Apache-2.0
oslo.utils>=3.38.0 # Apache-2.0
osprofiler>=1.5.0 # Apache-2.0
os-traits>=0.4.0 # Apache-2.0
pecan!=1.0.2,!=1.0.3,!=1.0.4,!=1.2,>=1.0.0 # BSD
requests>=2.14.2 # Apache-2.0
rfc3986>=0.3.1 # Apache-2.0
jsonpatch!=1.20,>=1.16 # BSD
Jinja2>=2.10 # BSD License (3 clause)
keystonemiddleware>=4.17.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
retrying!=1.3.0,>=1.2.3 # Apache-2.0
oslo.versionedobjects>=1.31.2 # Apache-2.0
jsonschema>=3.2.0 # MIT
psutil>=3.2.2 # BSD
futurist>=1.2.0 # Apache-2.0
tooz>=2.7.0 # Apache-2.0
openstacksdk>=0.48.0 # Apache-2.0

=== debian/changelog ===
ironic (1:16.0.3-1) unstable; urgency=medium

  * New upstream point release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 19 Jan 2021 10:28:01 +0100

ironic (1:16.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.
  * Add python-3.9-base64.encodestring-encodebytes.patch.
  * Add remove-macos-hack.patch.

 -- Thomas Goirand <zigo@debian.org>  Sat, 17 Oct 2020 16:39:28 +0200

ironic (1:16.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed autospec_for_classmethods_and_staticmethods_for_Python_3.7.4.patch
    applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Mon, 05 Oct 2020 09:06:11 +0200

ironic (1:15.2.0-3) experimental; urgency=medium

  * Fix policy_dir directly thingy.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Sep 2020 14:44:31 +0200

ironic (1:15.2.0-2) experimental; urgency=medium

  * autospec_for_classmethods_and_staticmethods_for_Python_3.7.4.patch.
  * Add python3-proliantutils constraint: >= 2.10.0.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Sep 2020 10:49:10 +0200

ironic (1:15.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * d/rules: fix ironic.conf namespace list.
  * Now using /etc/ironic/policy.d and yaml.
  * Drop skip-py3-failure.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Sep 2020 16:08:17 +0200

ironic (1:15.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 27 Aug 2020 13:13:43 +0200

ironic (1:15.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 10 May 2020 11:58:14 +0200

ironic (1:15.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 May 2020 00:26:28 +0200

ironic (1:14.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 25 Apr 2020 00:39:11 +0200

ironic (1:13.0.1-3) unstable; urgency=medium

  * Add Ubuntu patch to skip python 3 test failure (Closes: #951949).

 -- Thomas Goirand <zigo@debian.org>  Wed, 26 Feb 2020 11:40:45 +0100

ironic (1:13.0.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Run wrap-and-sort -bastk.
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Oct 2019 01:05:52 +0200

ironic (1:13.0.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Oct 2019 18:21:23 +0200

ironic (1:13.0.0-2) experimental; urgency=medium

  * Fix min version of dracclient and sushy.
  * Fix using python3-sphinxcontrib.svg2pdfconverter in b-d.

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Sep 2019 15:13:21 +0200

ironic (1:13.0.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Sep 2019 13:40:34 +0200

=== debian/control ===
Source: ironic
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 99~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic (>= 1.4.2),
 python3-amqplib,
 python3-automaton,
 python3-bashate,
 python3-cinderclient,
 python3-coverage,
 python3-ddt,
 python3-doc8,
 python3-dracclient (>= 3.0.0),
 python3-eventlet,
 python3-fixtures,
 python3-futurist,
 python3-glanceclient,
 python3-hacking,
 python3-ironic-inspector-client,
 python3-ironic-lib (>= 4.3.0),
 python3-iso8601,
 python3-jinja2,
 python3-jsonpatch,
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 4.2.0),
 python3-keystonemiddleware,
 python3-mysqldb,
 python3-openstackdocstheme <!nodoc>,
 python3-openstacksdk (>= 0.48.0),
 python3-os-api-ref,
 python3-os-traits,
 python3-oslo.concurrency (>= 4.2.0),
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db (>= 6.0.0),
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.reports,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils (>= 3.38.0),
 python3-oslo.versionedobjects,
 python3-oslotest,
 python3-osprofiler,
 python3-pecan,
 python3-pil,
 python3-proliantutils(>= 2.10.0),
 python3-psutil,
 python3-psycopg2 (>= 2.8.5),
 python3-pyghmi,
 python3-pygments,
 python3-pymysql,
 python3-pysnmp4 (>= 4.4.12),
 python3-requests,
 python3-retrying,
 python3-rfc3986,
 python3-scciclient,
 python3-sendfile,
 python3-sphinxcontrib-pecanwsme <!nodoc>,
 python3-sphinxcontrib.apidoc <!nodoc>,
 python3-sphinxcontrib.seqdiag <!nodoc>,
 python3-sphinxcontrib.svg2pdfconverter <!nodoc>,
 python3-sqlalchemy (>= 1.2.19),
 python3-stestr,
 python3-stevedore,
 python3-sushy (>= 1.9.0),
 python3-swiftclient,
 python3-testtools,
 python3-tooz (>= 2.7.0),
 python3-tz,
 python3-webob,
 python3-webtest,
Build-Conflicts:
 python-pysqlite2,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/ironic
Vcs-Git: https://salsa.debian.org/openstack-team/services/ironic.git
Homepage: https://github.com/openstack/ironic

Package: ironic-api
Architecture: all
Depends:
 adduser,
 ironic-common (= ${binary:Version}),
 python3-openstackclient,
 q-text-as-data,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: bare metal hypervisor API for OpenStack - API server
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Ironic API server. The ironic-api service provides a
 RESTful API that supports JSON and XML.

Package: ironic-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 ipmitool,
 python3-ironic (= ${binary:Version}),
 sqlite3,
 sudo,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: bare metal hypervisor API for OpenStack - common files
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Ironic common files.

Package: ironic-conductor
Architecture: all
Depends:
 ipmitool,
 ipxe,
 ironic-common (= ${binary:Version}),
 open-iscsi,
 pxelinux,
 qemu-utils,
 tftpd-hpa,
 xinetd,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Suggests:
 syslinux,
 syslinux-common,
Description: bare metal hypervisor API for OpenStack - conductor
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Ironic Conductore service. It is used to shield
 database access.

Package: ironic-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: bare metal hypervisor API for OpenStack - doc
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Ironic documentation.

Package: python3-ironic
Architecture: all
Section: python
Depends:
 alembic (>= 1.4.2),
 python3-amqplib,
 python3-automaton,
 python3-cinderclient,
 python3-dracclient (>= 3.0.0),
 python3-eventlet,
 python3-futurist,
 python3-glanceclient,
 python3-ironic-inspector-client,
 python3-ironic-lib (>= 4.3.0),
 python3-jinja2,
 python3-jsonpatch,
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 4.2.0),
 python3-keystonemiddleware,
 python3-openstacksdk (>= 0.48.0),
 python3-os-traits,
 python3-oslo.concurrency (>= 4.2.0),
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db (>= 6.0.0),
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils (>= 3.38.0),
 python3-oslo.versionedobjects,
 python3-osprofiler,
 python3-pbr,
 python3-pecan,
 python3-proliantutils (>= 2.10.0),
 python3-psutil,
 python3-psycopg2 (>= 2.8.5),
 python3-pyghmi,
 python3-pymysql,
 python3-pysnmp4 (>= 4.4.12),
 python3-requests,
 python3-retrying,
 python3-rfc3986,
 python3-sendfile,
 python3-sqlalchemy (>= 1.2.19),
 python3-stevedore,
 python3-sushy (>= 1.9.0),
 python3-swiftclient,
 python3-tooz (>= 2.7.0),
 python3-tz,
 python3-webob,
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python3-cjson,
Recommends:
 python3-scciclient,
Description: bare metal hypervisor API for OpenStack - Python lib
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Ironic Python library.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc,systemd

override_dh_auto_clean:
	python3 setup.py clean
	rm -f debian/ironic-common.config debian/ironic-common.postinst debian/ironic-api.postinst debian/ironic-api.config
	rm -rf doc/build
	rm -f debian/*.init debian/*.service debian/*.upstart

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ironic-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ironic-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ironic-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ironic-api.postinst
	pkgos-merge-templates ironic-api ironic endpoint
	pkgos-merge-templates ironic-common ironic db rabbit ksat

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done
	rm -rf $(CURDIR)/debian/tmp/usr/etc

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'ironic\.tests\.unit\.(?!(.*api\.controllers\.v1\.test_chassis\.TestPost\.test_create_chassis_unicode_description.*))'
endif

	mkdir -p $(CURDIR)/debian/ironic-common/usr/share/ironic-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf \
		--wrap-width 140 \
		--namespace ironic \
		--namespace ironic_lib.disk_utils \
		--namespace ironic_lib.disk_partitioner \
		--namespace ironic_lib.exception \
		--namespace ironic_lib.mdns \
		--namespace ironic_lib.metrics \
		--namespace ironic_lib.metrics_statsd \
		--namespace ironic_lib.utils \
		--namespace oslo.db \
		--namespace oslo.messaging \
		--namespace oslo.middleware.cors \
		--namespace oslo.middleware.healthcheck \
		--namespace oslo.middleware.http_proxy_to_wsgi \
		--namespace oslo.concurrency \
		--namespace oslo.policy \
		--namespace oslo.log \
		--namespace oslo.reports \
		--namespace oslo.service.service \
		--namespace oslo.service.periodic_task \
		--namespace oslo.service.sslutils \
		--namespace osprofiler \
		--namespace keystonemiddleware.auth_token

	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf keystone_authtoken ironic
	# We're using python3, the default isn't good, it's using py2.
	pkgos-fix-config-default $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf DEFAULT pybasedir /usr/lib/python3/site-packages/ironic

	# Fix the default httpboot path, some of it is in the postinst
#	pkgos-fix-config-default $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf deploy http_root /var/lib/ironic/httpboot

	# Set some nice defaults
#	pkgos-fix-config-default $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf DEFAULT enabled_boot_interfaces pxe
#	pkgos-fix-config-default $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf DEFAULT enabled_deploy_interfaces iscsi,direct
#	pkgos-fix-config-default $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf DEFAULT default_deploy_interface direct
#	pkgos-fix-config-default $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf DEFAULT enabled_inspect_interfaces inspector
#	pkgos-fix-config-default $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf DEFAULT default_network_interface neutron
#	pkgos-fix-config-default $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf oslo_concurrency lock_path /var/lock/ironic
#	pkgos-fix-config-default $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf pxe tftp_root /srv/tftp
#	pkgos-fix-config-default $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf pxe ipxe_enabled true

	mkdir -p $(CURDIR)/debian/ironic-common/etc/ironic/policy.d
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/ironic-common/etc/ironic/policy.d/00_default_policy.yaml \
		--format yaml \
		--namespace ironic.api
	# Fixed using /etc/ironic/policy.d
	pkgos-fix-config-default $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf oslo_policy policy_dirs /etc/ironic/policy.d

	sed -i 's|#connection=<None>|connection=sqlite:////var/lib/ironic/ironicdb|' $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf

	dh_install
	dh_missing --fail-missing

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	if ! PYTHONPATH=$(CURDIR) PYTHON=python3 python3 -m sphinx -a -b html doc/source $(CURDIR)/debian/ironic-doc/usr/share/doc/ironic-doc/html ; then \
		cat /tmp/sphinx-err* ; \
		exit 1 ; \
	fi
	mkdir -p $(CURDIR)/debian/ironic-doc/usr/share/doc/ironic-doc/html/_static
	touch $(CURDIR)/debian/ironic-doc/usr/share/doc/ironic-doc/html/_static/toggle.js
	#rm $(CURDIR)/debian/ironic-doc/usr/share/doc/ironic-doc/html/search.html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## ironic 17.0.1

=== debian/changelog ===
ironic (1:17.0.1-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 14 Apr 2021 10:18:39 +0000

ironic (1:17.0.1-0ubuntu1) hirsute; urgency=medium

  * d/watch: Scope to 17.x series.
  * New upstream release for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 13 Apr 2021 13:57:02 -0400

ironic (1:16.2.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 24 Mar 2021 14:41:29 -0400

ironic (1:16.1.0+git2021012507.4af9e4985-0ubuntu1) hirsute; urgency=medium

  [ Corey Bryant ]
  * d/rules: Override Python 3 shebang.

  [ Chris MacNaughton ]
  * New upstream snapshot for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 25 Jan 2021 08:05:21 +0000

ironic (1:16.0.2+git2020120911.42bf964c8-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 09 Dec 2020 11:58:36 -0500

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/" \
 http://tarballs.openstack.org/ironic/ ironic-(17\.\d.*)\.tar\.gz

## ironic 17.1.0

=== requirements.txt ===
--- 
+++ 
@@ -10,23 +10,22 @@
 python-cinderclient!=4.0.0,>=3.3.0 # Apache-2.0
 python-glanceclient>=2.8.0 # Apache-2.0
 keystoneauth1>=4.2.0 # Apache-2.0
-ironic-lib>=4.3.0 # Apache-2.0
+ironic-lib>=4.6.1 # Apache-2.0
 python-swiftclient>=3.2.0 # Apache-2.0
 pytz>=2013.6 # MIT
 stevedore>=1.20.0 # Apache-2.0
-pysendfile>=2.0.0;sys_platform!='win32' # MIT
 oslo.concurrency>=4.2.0 # Apache-2.0
-oslo.config>=5.2.0 # Apache-2.0
+oslo.config>=6.8.0 # Apache-2.0
 oslo.context>=2.19.2 # Apache-2.0
 oslo.db>=6.0.0 # Apache-2.0
 oslo.rootwrap>=5.8.0 # Apache-2.0
-oslo.log>=3.36.0 # Apache-2.0
+oslo.log>=4.3.0 # Apache-2.0
 oslo.middleware>=3.31.0 # Apache-2.0
-oslo.policy>=1.30.0 # Apache-2.0
+oslo.policy>=3.6.2 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
 oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
-oslo.upgradecheck>=0.1.0 # Apache-2.0
-oslo.utils>=3.38.0 # Apache-2.0
+oslo.upgradecheck>=1.3.0 # Apache-2.0
+oslo.utils>=4.5.0 # Apache-2.0
 osprofiler>=1.5.0 # Apache-2.0
 os-traits>=0.4.0 # Apache-2.0
 pecan!=1.0.2,!=1.0.3,!=1.0.4,!=1.2,>=1.0.0 # BSD
@@ -36,7 +35,7 @@
 Jinja2>=2.10 # BSD License (3 clause)
 keystonemiddleware>=4.17.0 # Apache-2.0
 oslo.messaging>=5.29.0 # Apache-2.0
-retrying!=1.3.0,>=1.2.3 # Apache-2.0
+tenacity>=6.2.0  # Apache-2.0
 oslo.versionedobjects>=1.31.2 # Apache-2.0
 jsonschema>=3.2.0 # MIT
 psutil>=3.2.2 # BSD

=== debian/changelog ===
ironic (1:17.1.0-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream point release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-wallaby.debian.net>  Mon, 28 Jul 2025 08:37:35 +0000

ironic (1:17.0.4-1) unstable; urgency=medium

  * New upstream version

 -- Michal Arbet <michal.arbet@ultimum.io>  Tue, 12 Oct 2021 13:17:22 +0200

ironic (1:17.0.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 12:49:42 +0200

ironic (1:17.0.3-1) experimental; urgency=medium

  * New upstream release 

 -- Michal Arbet <michal.arbet@ultimum.io>  Sat, 26 Jun 2021 13:21:47 +0200

ironic (1:17.0.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Apr 2021 19:01:22 +0200

ironic (1:17.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)Depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 06 Apr 2021 16:57:41 +0200

ironic (1:16.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions when satisfied in Bullseye.
  * Fixed (build-)depends for this release.
  * Switch ironic-api to uwsgi.
  * Removed python-3.9-base64.encodestring-encodebytes.patch applied upstream.
  * Removed remove-macos-hack.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Mar 2021 14:41:47 +0100

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,14 @@
 Build-Depends:
  debhelper-compat (= 10),
  dh-python,
- openstack-pkg-tools (>= 99~),
+ openstack-pkg-tools,
  po-debconf,
  python3-all,
  python3-pbr,
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
- alembic (>= 1.4.2),
+ alembic,
  python3-amqplib,
  python3-automaton,
  python3-bashate,
@@ -23,67 +23,66 @@
  python3-coverage,
  python3-ddt,
  python3-doc8,
- python3-dracclient (>= 3.0.0),
+ python3-dracclient,
  python3-eventlet,
  python3-fixtures,
  python3-futurist,
  python3-glanceclient,
  python3-hacking,
  python3-ironic-inspector-client,
- python3-ironic-lib (>= 4.3.0),
+ python3-ironic-lib (>= 4.6.1),
  python3-iso8601,
  python3-jinja2,
  python3-jsonpatch,
- python3-jsonschema (>= 3.2.0),
- python3-keystoneauth1 (>= 4.2.0),
+ python3-jsonschema,
+ python3-keystoneauth1,
  python3-keystonemiddleware,
  python3-mysqldb,
  python3-openstackdocstheme <!nodoc>,
- python3-openstacksdk (>= 0.48.0),
+ python3-openstacksdk,
  python3-os-api-ref,
  python3-os-traits,
- python3-oslo.concurrency (>= 4.2.0),
+ python3-oslo.concurrency,
  python3-oslo.config,
  python3-oslo.context,
- python3-oslo.db (>= 6.0.0),
+ python3-oslo.db,
  python3-oslo.log,
  python3-oslo.messaging,
  python3-oslo.middleware,
- python3-oslo.policy,
+ python3-oslo.policy (>= 3.6.2),
  python3-oslo.reports,
  python3-oslo.rootwrap,
  python3-oslo.serialization,
  python3-oslo.service,
- python3-oslo.upgradecheck,
- python3-oslo.utils (>= 3.38.0),
+ python3-oslo.upgradecheck (>= 1.3.0),
+ python3-oslo.utils,
  python3-oslo.versionedobjects,
  python3-oslotest,
  python3-osprofiler,
  python3-pecan,
  python3-pil,
- python3-proliantutils(>= 2.10.0),
+ python3-proliantutils,
  python3-psutil,
- python3-psycopg2 (>= 2.8.5),
+ python3-psycopg2,
  python3-pyghmi,
  python3-pygments,
  python3-pymysql,
- python3-pysnmp4 (>= 4.4.12),
+ python3-pysnmp4,
  python3-requests,
- python3-retrying,
+ python3-tenacity,
  python3-rfc3986,
  python3-scciclient,
- python3-sendfile,
  python3-sphinxcontrib-pecanwsme <!nodoc>,
  python3-sphinxcontrib.apidoc <!nodoc>,
  python3-sphinxcontrib.seqdiag <!nodoc>,
  python3-sphinxcontrib.svg2pdfconverter <!nodoc>,
- python3-sqlalchemy (>= 1.2.19),
+ python3-sqlalchemy,
  python3-stestr,
  python3-stevedore,
- python3-sushy (>= 1.9.0),
+ python3-sushy (>= 3.6.0),
  python3-swiftclient,
  python3-testtools,
- python3-tooz (>= 2.7.0),
+ python3-tooz,
  python3-tz,
  python3-webob,
  python3-webtest,
@@ -98,9 +97,13 @@
 Architecture: all
 Depends:
  adduser,
+ debconf,
  ironic-common (= ${binary:Version}),
+ python3-keystoneclient,
  python3-openstackclient,
+ python3-pastescript,
  q-text-as-data,
+ uwsgi-plugin-python3,
  ${misc:Depends},
  ${ostack-lsb-base},
  ${python3:Depends},
@@ -186,55 +189,54 @@
 Architecture: all
 Section: python
 Depends:
- alembic (>= 1.4.2),
+ alembic,
  python3-amqplib,
  python3-automaton,
  python3-cinderclient,
- python3-dracclient (>= 3.0.0),
+ python3-dracclient,
  python3-eventlet,
  python3-futurist,
  python3-glanceclient,
  python3-ironic-inspector-client,
- python3-ironic-lib (>= 4.3.0),
+ python3-ironic-lib (>= 4.6.1),
  python3-jinja2,
  python3-jsonpatch,
- python3-jsonschema (>= 3.2.0),
- python3-keystoneauth1 (>= 4.2.0),
+ python3-jsonschema,
+ python3-keystoneauth1,
  python3-keystonemiddleware,
- python3-openstacksdk (>= 0.48.0),
+ python3-openstacksdk,
  python3-os-traits,
- python3-oslo.concurrency (>= 4.2.0),
+ python3-oslo.concurrency,
  python3-oslo.config,
  python3-oslo.context,
- python3-oslo.db (>= 6.0.0),
+ python3-oslo.db,
  python3-oslo.log,
  python3-oslo.messaging,
  python3-oslo.middleware,
- python3-oslo.policy,
+ python3-oslo.policy (>= 3.6.2),
  python3-oslo.rootwrap,
  python3-oslo.serialization,
  python3-oslo.service,
- python3-oslo.upgradecheck,
- python3-oslo.utils (>= 3.38.0),
+ python3-oslo.upgradecheck (>= 1.3.0),
+ python3-oslo.utils,
  python3-oslo.versionedobjects,
  python3-osprofiler,
  python3-pbr,
  python3-pecan,
- python3-proliantutils (>= 2.10.0),
+ python3-proliantutils,
  python3-psutil,
- python3-psycopg2 (>= 2.8.5),
+ python3-psycopg2,
  python3-pyghmi,
  python3-pymysql,
- python3-pysnmp4 (>= 4.4.12),
+ python3-pysnmp4,
  python3-requests,
- python3-retrying,
+ python3-tenacity,
  python3-rfc3986,
- python3-sendfile,
- python3-sqlalchemy (>= 1.2.19),
+ python3-sqlalchemy,
  python3-stevedore,
- python3-sushy (>= 1.9.0),
+ python3-sushy (>= 3.6.0),
  python3-swiftclient,
- python3-tooz (>= 2.7.0),
+ python3-tooz,
  python3-tz,
  python3-webob,
  ${misc:Depends},

## ironic 18.2.0

=== debian/changelog ===
ironic (1:18.2.0-0ubuntu1~cloud0) focal-xena; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 07 Oct 2021 09:55:58 +0000

ironic (1:18.2.0-0ubuntu1) impish; urgency=medium

  * d/watch: Scope to 18.x.
  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 06 Oct 2021 15:13:34 +0000

ironic (1:18.1.0+git2021090814.a71ed5de2-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 09 Sep 2021 07:59:55 +0000

ironic (1:18.0.0+git2021072116.c71583fc8-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Jul 2021 16:52:24 -0400

ironic (1:18.0.0+git2021061112.1e2fa5c32-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 11 Jun 2021 12:51:28 +0000

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/" \
 http://tarballs.openstack.org/ironic/ ironic-(18\.\d.*)\.tar\.gz

## ironic 20.1.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=3.1.1 # Apache-2.0
SQLAlchemy>=1.2.19 # MIT
alembic>=1.4.2 # MIT
automaton>=1.9.0 # Apache-2.0
eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
WebOb>=1.7.1 # MIT
python-cinderclient!=4.0.0,>=3.3.0 # Apache-2.0
python-glanceclient>=2.8.0 # Apache-2.0
keystoneauth1>=4.2.0 # Apache-2.0
ironic-lib>=4.6.1 # Apache-2.0
python-swiftclient>=3.2.0 # Apache-2.0
pytz>=2013.6 # MIT
stevedore>=1.29.0 # Apache-2.0
oslo.concurrency>=4.2.0 # Apache-2.0
oslo.config>=6.8.0 # Apache-2.0
oslo.context>=2.22.0 # Apache-2.0
oslo.db>=9.1.0 # Apache-2.0
oslo.rootwrap>=5.8.0 # Apache-2.0
oslo.log>=4.3.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.policy>=3.7.0 # Apache-2.0
oslo.serialization>=2.25.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.upgradecheck>=1.3.0 # Apache-2.0
oslo.utils>=4.5.0 # Apache-2.0
osprofiler>=1.5.0 # Apache-2.0
os-traits>=0.4.0 # Apache-2.0
pecan!=1.0.2,!=1.0.3,!=1.0.4,!=1.2,>=1.0.0 # BSD
pycdlib>=1.11.0 # LGPLv2
requests>=2.18.0 # Apache-2.0
rfc3986>=1.2.0 # Apache-2.0
jsonpatch!=1.20,>=1.16 # BSD
Jinja2>=2.10 # BSD License (3 clause)
keystonemiddleware>=4.17.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
tenacity>=6.2.0  # Apache-2.0
oslo.versionedobjects>=1.31.2 # Apache-2.0
jsonschema>=3.2.0 # MIT
psutil>=3.2.2 # BSD
futurist>=1.2.0 # Apache-2.0
tooz>=2.7.0 # Apache-2.0
openstacksdk>=0.48.0 # Apache-2.0
sushy>=3.10.0

=== debian/changelog ===
ironic (1:20.1.0-0ubuntu1) jammy; urgency=medium

  * d/watch: Scope to 20.x.
  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Mar 2022 17:04:02 -0400

ironic (1:20.0.0+git2022030313.4e6a3d52e-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/p/skip-test-py310.patch: Skip test for py310 until fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Mar 2022 13:07:06 -0500

ironic (1:19.0.0+git2022011216.7beadee46-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/control: Bump debhelper compat to 13.
  * d/p/fix-mock-objects-as-specs.patch: Dropped. Fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jan 2022 16:52:05 -0500

ironic (1:18.2.0+git2021120910.cdc3b9538-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/fix-mock-objects-as-specs.patch: Fix mocking errors exposed
    by Python 3.10 unit tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Dec 2021 12:45:16 -0500

=== debian/control ===
Source: ironic
Section: net
Priority: extra
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 3.1.1),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 alembic (>= 0.9.6),
 crudini,
 python3-alembic (>= 1.4.2),
 python3-automaton (>= 1.9.0),
 python3-babel (>= 2.3.4),
 python3-bandit (>= 1.1.0),
 python3-cinderclient (>= 1:3.3.0),
 python3-coverage (>= 4.0),
 python3-ddt (>= 1.2.1),
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-futurist (>= 1.2.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-ironic-lib (>= 4.6.1),
 python3-ironicclient (>= 1.14.0),
 python3-iso8601 (>= 0.1.11),
 python3-jinja2 (>= 2.10),
 python3-jsonpatch (>= 1.16),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 4.2.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-mock (>= 3.0.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-openstackdocstheme (>= 2.2.0),
 python3-openstacksdk (>= 0.48.0),
 python3-os-api-ref (>= 1.4.0),
 python3-os-testr (>= 1.0.0),
 python3-os-traits (>= 0.4.0),
 python3-oslo.concurrency (>= 4.2.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 9.1.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 3.7.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.5.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-oslosphinx (>= 4.7.0),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.5.0),
 python3-paramiko (>= 2.0),
 python3-pecan (>= 1.0.0),
 python3-psutil (>= 3.2.2),
 python3-psycopg2 (>= 2.8.5),
 python3-pycdlib (>= 1.11.0),
 python3-pymysql (>= 0.8.0),
 python3-pysnmp4 (>= 4.4.12),
 python3-requests (>= 2.18.0),
 python3-retrying (>= 1.2.3),
 python3-rfc3986 (>= 1.2.0),
 python3-scciclient (>= 0.8.0),
 python3-sendfile (>= 2.0.0),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-sphinxcontrib-pecanwsme (>= 0.10.0),
 python3-sphinxcontrib.seqdiag (>= 0.8.4),
 python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
 python3-sqlalchemy (>= 1.2.19),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.29.0),
 python3-sushy (>= 3.10.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-tenacity (>= 6.2.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-tooz (>= 2.7.0),
 python3-tz (>= 2013.6),
 python3-webob (>= 1:1.7.1),
 python3-webtest (>= 2.0.27),
 python3-wsme (>= 0.9.3),
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/ironic
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/ironic
Testsuite: autopkgtest-pkg-python

Package: ironic-api
Architecture: all
Depends:
 python3-ironic (= ${binary:Version}),
 ${misc:Depends},
Description: Openstack bare metal provisioning service - API
 Ironic is an Incubated OpenStack project which aims to provision
 bare metal machines instead of virtual machines, forked from the
 Nova Baremetal driver. It is best thought of as a bare metal
 hypervisor **API** and a set of plugins which interact with
 the bare metal hypervisors. By default, it will use PXE and IPMI
 in concert to provision and turn on/off machines, but Ironic
 also supports vendor-specific plugins which may implement additional
 functionality.
 .
 This package contains the API.

Package: ironic-conductor
Architecture: all
Depends:
 ipmitool (>= 1.8.12),
 python3-ironic (= ${binary:Version}),
 ${misc:Depends},
Description: Openstack bare metal provisioning service - conductor
 Ironic is an Incubated OpenStack project which aims to provision
 bare metal machines instead of virtual machines, forked from the
 Nova Baremetal driver. It is best thought of as a bare metal
 hypervisor **API** and a set of plugins which interact with
 the bare metal hypervisors. By default, it will use PXE and IPMI
 in concert to provision and turn on/off machines, but Ironic
 also supports vendor-specific plugins which may implement additional
 functionality.
 .
 This package contains the conductor.

Package: python3-ironic
Architecture: all
Depends:
 alembic (>= 0.8.10),
 ironic-common (= ${binary:Version}),
 python3-alembic (>= 1.4.2),
 python3-automaton (>= 1.9.0),
 python3-cinderclient (>= 1:3.3.0),
 python3-eventlet (>= 0.18.2),
 python3-futurist (>= 1.2.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-ironic-lib (>= 4.6.1),
 python3-jinja2 (>= 2.10),
 python3-jsonpatch (>= 1.16),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 4.2.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-openstacksdk (>= 0.48.0),
 python3-os-traits (>= 0.4.0),
 python3-oslo.concurrency (>= 4.2.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 9.1.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 3.7.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.5.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-osprofiler (>= 1.5.0),
 python3-paramiko (>= 2.0),
 python3-pbr (>= 3.1.1),
 python3-pecan (>= 1.0.0),
 python3-psutil (>= 3.2.2),
 python3-pycdlib (>= 1.11.0),
 python3-pygments (>= 2.2.0),
 python3-pymysql (>= 0.6.2),
 python3-pysnmp4 (>= 4.4.6),
 python3-requests (>= 2.18.0),
 python3-retrying (>= 1.2.3),
 python3-rfc3986 (>= 1.2.0),
 python3-scciclient (>= 0.8.0),
 python3-sendfile (>= 2.0.0),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.2.19),
 python3-stevedore (>= 1:1.29.0),
 python3-sushy (>= 3.10.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-tenacity (>= 6.2.0),
 python3-tooz (>= 2.7.0),
 python3-tz (>= 2013.6),
 python3-webob (>= 1:1.7.1),
 python3-wsme (>= 0.9.3),
 ${misc:Depends},
 ${python3:Depends},
Description: Openstack bare metal provisioning service - Python 3 library
 Ironic is an Incubated OpenStack project which aims to provision
 bare metal machines instead of virtual machines, forked from the
 Nova Baremetal driver. It is best thought of as a bare metal
 hypervisor **API** and a set of plugins which interact with
 the bare metal hypervisors. By default, it will use PXE and IPMI
 in concert to provision and turn on/off machines, but Ironic
 also supports vendor-specific plugins which may implement additional
 functionality.
 .
 This package contains the Python 3 libraries.

Package: ironic-common
Architecture: all
Depends:
 adduser,
 psmisc,
 ${misc:Depends},
Breaks:
 ironic-api (<< 1:11.1.0-0ubuntu3~),
 ironic-conductor (<< 1:11.1.0-0ubuntu3~),
Replaces:
 ironic-api (<< 1:11.1.0-0ubuntu3~),
 ironic-conductor (<< 1:11.1.0-0ubuntu3~),
Description: Openstack bare metal provisioning service - daemons
 Ironic is an Incubated OpenStack project which aims to provision
 bare metal machines instead of virtual machines, forked from the
 Nova Baremetal driver. It is best thought of as a bare metal
 hypervisor **API** and a set of plugins which interact with
 the bare metal hypervisors. By default, it will use PXE and IPMI
 in concert to provision and turn on/off machines, but Ironic
 also supports vendor-specific plugins which may implement additional
 functionality.
 .
 This package contains the common files.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/" \
 http://tarballs.openstack.org/ironic/ ironic-(20\.\d.*)\.tar\.gz
